catalog.sku.delete
Delete a SKU if it is virgin (never ordered/reserved), otherwise archive it. Never removes a product’s last SKU.
- Scope:
catalog.sku.write - System: no
- Reachable from:
POST /v1/commands/catalog.sku.delete(tenant credential) · MCP toolcatalog.sku.delete· SDKclient.call('catalog.sku.delete', …) - Events:
catalog.product.updated,catalog.sku.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "sku_id": { "minLength": 1, "type": "string" } }, "required": [ "sku_id" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "deleted": { "type": "boolean" }, "sku_id": { "type": "string" } }, "required": [ "sku_id", "deleted" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)